Xerces 3.1.1 API: Class HTMLScriptElementImpl

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLScriptElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLScriptElementImpl

public final class HTMLScriptElementImpl
extends HTMLElementImpl
implements HTMLScriptElement

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:12 $
See Also:
  `HTMLScriptElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLScriptElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getCharset()` The character encoding of the linked resource.
`boolean` | `getDefer()` Indicates that the user agent can defer processing of the script.
`java.lang.String` | `getEvent()` Reserved for future use.
`java.lang.String` | `getHtmlFor()` Reserved for future use.
`java.lang.String` | `getSrc()` URI designating an external script.
`java.lang.String` | `getText()` The script content of the element.
`java.lang.String` | `getType()` The content type of the script language.
`void` | `setCharset(java.lang.String charset)`
`void` | `setDefer(boolean defer)`
`void` | `setEvent(java.lang.String event)`
`void` | `setHtmlFor(java.lang.String htmlFor)`
`void` | `setSrc(java.lang.String src)`
`void` | `setText(java.lang.String text)`
`void` | `setType(java.lang.String type)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLScriptElementImpl

    public HTMLScriptElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getText

    public java.lang.String getText()

  Description copied from interface: HTMLScriptElement
  The script content of the element.
  Specified by:
    getText in interface HTMLScriptElement

### setText

    public void setText(java.lang.String text)

  Specified by:
    setText in interface HTMLScriptElement

### getHtmlFor

    public java.lang.String getHtmlFor()

  Description copied from interface: HTMLScriptElement
  Reserved for future use.
  Specified by:
    getHtmlFor in interface HTMLScriptElement

### setHtmlFor

    public void setHtmlFor(java.lang.String htmlFor)

  Specified by:
    setHtmlFor in interface HTMLScriptElement

### getEvent

    public java.lang.String getEvent()

  Description copied from interface: HTMLScriptElement
  Reserved for future use.
  Specified by:
    getEvent in interface HTMLScriptElement

### setEvent

    public void setEvent(java.lang.String event)

  Specified by:
    setEvent in interface HTMLScriptElement

### getCharset

    public java.lang.String getCharset()

  Description copied from interface: HTMLScriptElement
  The character encoding of the linked resource. See the charset attribute definition in HTML 4.0.
  Specified by:
    getCharset in interface HTMLScriptElement

### setCharset

    public void setCharset(java.lang.String charset)

  Specified by:
    setCharset in interface HTMLScriptElement

### getDefer

    public boolean getDefer()

  Description copied from interface: HTMLScriptElement
  Indicates that the user agent can defer processing of the script. See the defer attribute definition in HTML 4.0.
  Specified by:
    getDefer in interface HTMLScriptElement

### setDefer

    public void setDefer(boolean defer)

  Specified by:
    setDefer in interface HTMLScriptElement

### getSrc

    public java.lang.String getSrc()

  Description copied from interface: HTMLScriptElement
  URI designating an external script. See the src attribute definition in HTML 4.0.
  Specified by:
    getSrc in interface HTMLScriptElement

### setSrc

    public void setSrc(java.lang.String src)

  Specified by:
    setSrc in interface HTMLScriptElement

### getType

    public java.lang.String getType()

  Description copied from interface: HTMLScriptElement
  The content type of the script language. See the type attribute definition in HTML 4.0.
  Specified by:
    getType in interface HTMLScriptElement

### setType

    public void setType(java.lang.String type)

  Specified by:
    setType in interface HTMLScriptElement

Overview | Package | Class | Tree | Deprecated | Index | Help
| Xerces 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD